// --------------------------------------------------------------------
// Panel Analogique du UH-1
// --------------------------------------------------------------------

function panel_analog_update(KaTZPit_data){
	
	
		// Animation des jauges-----------------------------------------------------------------------
		// Rotation Aiguilles Moteur (origine et gain dans les fonctions)
		// Fonction de la valeur brute exportée par DCS , 
		
		Rotate_Airspeed(KaTZPit_data["IAS"])
		Rotate_Vario(KaTZPit_data["Vario"])

		Rotate_Torque(dataread_split_2(KaTZPit_data["TorGas"])[1])
		Rotate_Gas(dataread_split_2(KaTZPit_data["TorGas"])[0])
		Rotate_Exhaust(dataread_split_2(KaTZPit_data["ExhTemp"])[0])


		
		// Altirad ------------------------------------------------------------------------------------
		// xxAB , où A = Flag Low Alti , B = Flag On
		var Altirad_index = dataread_split_2(KaTZPit_data["AltiRad_DX"])

		// Alarme Low Alti (deuxième digit des 
		if (dataread_posit(KaTZPit_data["AltiRad_FI"],2) == 1) {$("#Low_Altirad").fadeIn()} else {$("#Low_Altirad").fadeOut()}
		if (dataread_posit(KaTZPit_data["AltiRad_FI"],3) == 1) {$("#Hi_Altirad").fadeIn()} else {$("#Hi_Altirad").fadeOut()}
		
		console.log(Altirad_index[0],Altirad_index[1])
		// Positionnement des Index
		Rotate_Altirad(KaTZPit_data["QFE"],Altirad_index[0],Altirad_index[1] )


		if (dataread_posit(KaTZPit_data["AltiRad_D"],8) + 5  == 0) {
			document.getElementById('Val_Altirad1').style.display = "block"
			document.getElementById('Val_Altirad1').innerHTML = dataread_posit(KaTZPit_data["AltiRad_D"],7)+5}
		else {	
			document.getElementById('Val_Altirad1').style.display = "none"}
		
		
		if (dataread_posit(KaTZPit_data["AltiRad_D"],6) +5 == 0) {
			document.getElementById('Val_Altirad2').style.display = "block"
			document.getElementById('Val_Altirad2').innerHTML = dataread_posit(KaTZPit_data["AltiRad_D"],5)+5}
		else {	
			document.getElementById('Val_Altirad2').style.display = "none"}

		if (dataread_posit(KaTZPit_data["AltiRad_D"],4) +5  == 00) {
			document.getElementById('Val_Altirad3').style.display = "block"
			document.getElementById('Val_Altirad3').innerHTML = dataread_posit(KaTZPit_data["AltiRad_D"],3)+5 }
		else {	
			document.getElementById('Val_Altirad3').style.display = "none"}

		if (dataread_posit(KaTZPit_data["AltiRad_D"],2)+ 5 == 1) {
			document.getElementById('Val_Altirad4').style.display = "none"}

		else {	
			document.getElementById("Val_Altirad4").style.display = "block"
			document.getElementById('Val_Altirad4').innerHTML = dataread_posit(KaTZPit_data["AltiRad_D"],1)+5}


				
		// Altimetre Baro , 2 aiguilles  -------------------------------------------------------------
		var QNH_Aig = dataread_split_2(KaTZPit_data["QNH"])
		Rotate_Altitude(QNH_Aig[1],QNH_Aig[0])
		
		
		//RPM Rotor et Moteur -----------------------------------------------------------------------
		var RPM_Eng = dataread_split_2(KaTZPit_data["Eng_rpm"])
		// Rotation de l'aiguille Moteur et de l'aiguille Rotor
		Rotate_RPM2(RPM_Eng[1],KaTZPit_data["RPM_Rot"])
		
		
		// Cadran Bille et Side Split  ---------------------------------------------------------------
		var SpeedSplit = dataread_split_2(KaTZPit_data["EUP"])
		Rotate_Bille(SpeedSplit[1], SpeedSplit[0])
		
		// Rotation HSI   --------------------------------------------------------------------------
		var i_Cap = 360 - KaTZPit_data["Cap"]/10
		var i_Way = (KaTZPit_data["Way"]/10)
		var i_Route = (KaTZPit_data["Route"]/10)
	
		Rotate_HSI(i_Cap, i_Way, i_Route)	
			
		// ADI  -------------------------------------------------------------------------------------
		var ADI_Pitch = KaTZPit_data["Pitch"]
		
		// Calcul de variation de l'horizon artificiel range 0% à 100%
		var ADI_Pitch_A = Math.min(Math.max((ADI_Pitch + 200) / 400,0),1)
		
		document.getElementById('ADI_Pitch_V1').innerHTML = (ADI_Pitch/1000*90).toFixed(0)
		document.getElementById('ADI_Pitch_V2').innerHTML = (ADI_Pitch/1000*90).toFixed(0)
						
		Animate_ADI(SpeedSplit[0],KaTZPit_data["Bank"],ADI_Pitch_A)
				
			
		
}

function panel_rotor_update(KaTZPit_data){		
	// TEMPORAIRE ROTOR PANEL
		// IAS en "km/h"
		// Echelle non linéaire conveti par la fonction IAS_L() de function_convert_scale.js
		document.getElementById('IAS_0').innerHTML = IAS_L(KaTZPit_data["IAS"]).toFixed(0)
		
		document.getElementById('Vario_0').innerHTML = Vario_L(KaTZPit_data["Vario"]).toFixed(1)
		
		// Pitch en degré
		// Echelle non linéaire conveti par la fonction RotorPitch() de function_convert_scale.js
		document.getElementById('RPM_Rot').innerHTML = KaTZPit_data["RPM_Rot"]
		document.getElementById('Pitch_Rot').innerHTML = RotorPitch(KaTZPit_data["Pitch_Rot"]).toFixed(1)	

		// Valeur en test
		document.getElementById('Test_val').innerHTML = KaTZPit_data["Start_Sel"]	
		
		if (IAS_L(KaTZPit_data["IAS"]) > 250) {$("#RV-Speed").fadeIn()} else {$("#RV-Speed").fadeOut()}
		if (IAS_L(KaTZPit_data["IAS"]) < 50 && Vario_L(KaTZPit_data["Vario"]) < -5) {$("#RV-Vortex").fadeIn()} else {$("#RV-Vortex").fadeOut()}
		
		
		
}	

function Rotate_HSI(cap,way,route){
	var a_origine = 0
	var a_gain = 1
	
	$("#AN_Rosace").css({
		'-moz-transform':'rotate('+(a_origine+a_gain*cap)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+a_gain*cap)+'deg)',
		'-ms-transform':'rotate('+(a_origine+a_gain*cap)+'deg)',
	})

	$("#AN_Way").css({
		'-moz-transform':'rotate('+(a_origine+a_gain*way)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+a_gain*way)+'deg)',
		'-ms-transform':'rotate('+(a_origine+a_gain*way)+'deg)',
	})

	$("#AN_Route").css({
		'-moz-transform':'rotate('+(a_origine+a_gain*route)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+a_gain*route)+'deg)',
		'-ms-transform':'rotate('+(a_origine+a_gain*route)+'deg)',
	})

}	

function Animate_ADI(bille,bank,pitch){
	var a_origine = 0
	var bi_gain = -0.02
	var ba_gain = -0.18
	
	var pitch_strech = 2 * pitch
	var pitch_origin = -160
	var pitch_gain = 320
	
	
	$("#ADI_Bille").css({
		'-moz-transform':'rotate('+(a_origine+bi_gain*bille)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+bi_gain*bille)+'deg)',
		'-ms-transform':'rotate('+(a_origine+bi_gain*bille)+'deg)',
	})
	
	$("#ADI_Bank").css({
		'-moz-transform':'rotate('+(a_origine+ba_gain*bank)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+ba_gain*bank)+'deg)',
		'-ms-transform':'rotate('+(a_origine+ba_gain*bank)+'deg)',
	})
	
	// expansion compression de la zone Top
	// Top Bleu Clair, on fixe l'origine du "scale down" en haut
	$("#ADI_Pitch_T").css({
	'-moz-transform-origin':'top left',
	'-webkit-transform-origin':'top left',
	'-ms-transform-origin':'top left',
	})

	// Scale vertical
	$("#ADI_Pitch_T").css({
	'-moz-transform':'scaleY('+pitch_strech+')',
	'-webkit-transform':'scaleY('+pitch_strech+')',
	'-ms-transform':'scaleY('+pitch_strech+')',
	})
	
	// Translation vers le bas , de la barre d'horizon
	
	$("#ADI_Pitch_C").css({
	'-moz-transform':'translate(0px,'+(pitch_origin + pitch_gain * pitch)+'px)',
	'-webkit-transform':'translate(0px,'+(pitch_origin + pitch_gain * pitch)+'px)',
	'-ms-transform':'translate(0px,'+(pitch_origin + pitch_gain * pitch)+'px)',
	})

}
	

	
function Rotate_Airspeed(val){
	var a_origine = 0
	var l_gain = 0.34
	
	$("#AIG_Airspeed").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Vario(val){
	
	var a_origine = -90
	// Valeur brute 1000 >> -30m/s >> 180°
	var l_gain = 0.18
	
	$("#AIG_Vario").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}

function Rotate_Torque(tor){
		
	var t_origine = 160
	var t_gain = 0.27
	
	$("#AIG_Torque").css({
		'-moz-transform':'rotate('+ (t_origine + t_gain * tor)+'deg)',
		'-webkit-transform':'rotate('+ (t_origine + t_gain * tor)+'deg)',
		'-ms-transform':'rotate('+ (t_origine + t_gain * tor)+'deg)',
	})

}


function Rotate_Gas(gas){

	var g_origine = 0
	var g_gain = 0.27
	
	$("#AIG_Gas").css({
		'-moz-transform':'rotate('+(g_origine+g_gain*gas)+'deg)',
		'-webkit-transform':'rotate('+(g_origine+g_gain*gas)+'deg)',
		'-ms-transform':'rotate('+(g_origine+g_gain*gas)+'deg)',
	})

}


function Rotate_Exhaust(temp){

	var e_origine = 80
	var e_gain = 0.26
	
	$("#AIG_Exhaust").css({
		'-moz-transform':'rotate('+(e_origine+e_gain*temp)+'deg)',
		'-webkit-transform':'rotate('+(e_origine+e_gain*temp)+'deg)',
		'-ms-transform':'rotate('+(e_origine+e_gain*temp)+'deg)',
	})

}

function Rotate_Altirad(val,Lindex,Hindex){
	var a_origine = 180
	var l_gain = 0.36
	
	$("#AIG_Altirad").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})
	
	$("#LDX_Altirad").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*Lindex)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*Lindex)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*Lindex)+'deg)',
	})
	
	$("#HDX_Altirad").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*Hindex)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*Hindex)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*Hindex)+'deg)',
	})

}

function Rotate_Altitude(aig1000,aig){
	var a_origine = 0
	var l_gain = 0.360
	
	$("#AIG_Altitude").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*aig)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*aig)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*aig)+'deg)',
	})
	
	$("#AIG_Alti1000").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*aig1000)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*aig1000)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*aig1000)+'deg)',
	})

}


function Rotate_Pitch(val){
	var a_origine = 255
	var l_gain = 0.21
	
	$("#AIG_Pitch").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*val)+'deg)',
	})

}


// Rotation des aiguilles moteurs (left, right), avions Russes
// Le gain est ajusté pour faire correspondre 
// le placement de l'aiguille avec la valeur exacte

function Rotate_RPM2(eng,rotor){
	var a_origine = -150
	
	var l_gain = 0.28
	var r_gain = 0.28 
	
	$("#AIG_RPM_Eng").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*eng)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*eng)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*eng)+'deg)',
	})

	$("#AIG_RPM_Rot").css({
		'-moz-transform':'rotate('+(a_origine+r_gain*rotor)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+r_gain*rotor)+'deg)',
		'-ms-transform':'rotate('+(a_origine+r_gain*rotor)+'deg)',
	})
}

function Rotate_Bille(aiguille,bille){
	
	var a_origine = 0
	var l_gain = 0.025
	var r_gain = -0.028
	
	$("#AIG_Bille").css({
		'-moz-transform':'rotate('+(a_origine+l_gain*aiguille)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+l_gain*aiguille)+'deg)',
		'-ms-transform':'rotate('+(a_origine+l_gain*aiguille)+'deg)',
	})

	$("#Bille_Bille").css({
		'-moz-transform':'rotate('+(a_origine+r_gain*bille)+'deg)',
		'-webkit-transform':'rotate('+(a_origine+r_gain*bille)+'deg)',
		'-ms-transform':'rotate('+(a_origine+r_gain*bille)+'deg)',
	})
}








	
